# __mini_vector Class Template Reference

Inheritance diagram for __mini_vector:

List of all members.

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::balloc::__mini_vector< _Tp >

It is to be used only for built-in types or PODs. Notable differences are:

1. Not all accessor functions are present. 2. Used ONLY for PODs. 3. No Allocator template argument. Uses ::operator new() to get memory, and ::operator delete() to free it. Caveat: The dtor does NOT free the memory allocated, so this a memory-leaking vector!

Definition at line 231 of file bitmap_allocator.h.

## Public Types

- typedef const _Tp & const_reference
- typedef std::ptrdiff_t difference_type
- typedef pointer iterator
- typedef _Tp * pointer
- typedef _Tp & reference
- typedef std::size_t size_type
- typedef _Tp value_type

## Public Member Functions

- reference back () const throw ()
- iterator begin () const throw ()
- void clear () throw ()
- iterator end () const throw ()
- void erase (iterator __pos) throw ()
- void insert (iterator __pos, const_reference __x)
- reference operator[] (const size_type __pos) const throw ()
- void pop_back () throw ()
- void push_back (const_reference __x)
- size_type size () const throw ()

The documentation for this class was generated from the following file:

- bitmap_allocator.h